Skip to main content
POST
/
customers
Create Customer at Cashfree
curl --request POST \
  --url https://sandbox.cashfree.com/pg/customers \
  --header 'Content-Type: application/json' \
  --header 'x-api-version: <x-api-version>' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "customer_phone": "9999999999",
  "customer_email": "prasun@example.com",
  "customer_name": "Prasun"
}
'
import requests

url = "https://sandbox.cashfree.com/pg/customers"

payload = {
"customer_phone": "9999999999",
"customer_email": "prasun@example.com",
"customer_name": "Prasun"
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer_phone: '9999999999',
customer_email: 'prasun@example.com',
customer_name: 'Prasun'
})
};

fetch('https://sandbox.cashfree.com/pg/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "$ref": "#/components/examples/customer_entity_example"
}
{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}
{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}
{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}
{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}
{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}
{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}
{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2025-01-01
required

API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request parameters to register a customer in Cashfree's system before initiating payments, subscriptions, tokenisation, or other customer-linked actions.

customer_phone
string
required

Customer Phone Number.

Required string length: 10
Example:

"9999999999"

customer_email
string

Customer Email.

Example:

"example@test.com"

customer_name
string

Customer Name.

Example:

"YourCustomer"

Response

Success response for registering a customer in Cashfree's system before initiating payments, subscriptions, tokenisation, or other customer-linked actions.

customer_uid
string

unique id generated by cashfree for your customer.

customer_phone
string

Customer Phone Number.

customer_email
string

Customer Email.

customer_name
string

Customer Name.